Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Interface PortletTitle

public interface PortletTitle

The `PortletTitle` interface has to be implemented if a portlet wants to support client, device, and/or user dependent titles. An instance of the implementation can be set in the portlet descriptor of the portlet, otherwise the portlet container will pick the title from the portlet configuration.

Author:
  Thomas F. Boehme
See Also:
  `PortletWindow`

Method Summary
`java.lang.String` | `getText(java.util.Locale locale, Client client, PortletSession session, PortletContext context)` Called by the portlet container to retrieve the text of the portlet title.

Method Detail

### getText

    public java.lang.String getText(java.util.Locale locale,
                                    Client client,
                                    PortletSession session,
                                    PortletContext context)

  Called by the portlet container to retrieve the text of the portlet title. The given locale, client, and session can but don't have to be considered all at once. Examples are
  - language-dependant titles for multi-lingual portals
  - shorter titles for WAP phones
  - the number of messages in a mailbox portlet
  The session may be `null`, if the user is not logged in. If returning `null` the portlet container shows the static title from the portlet configuration.

  Parameters:
    `locale` - the locale
    `client` - the client
    `session` - the portlet session
    `context` - the portlet context
  Returns:
    the text of the portlet title

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.